ClassDef
Date: 2017-03-29

com.thoughtworks.qdox.parser.structs

## Class ClassDef

- java.lang.Object
- - com.thoughtworks.qdox.parser.structs.LocatedDef
  - - com.thoughtworks.qdox.parser.structs.ClassDef

-     public class ClassDef
      extends LocatedDef

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ANNOTATION_TYPE`
    `static java.lang.String` | `CLASS`
    `static java.lang.String` | `ENUM`
    `java.util.Set` | `extendz`
    `java.util.Set` | `implementz`
    `static java.lang.String` | `INTERFACE`
    `java.util.Set` | `modifiers`
    `java.lang.String` | `name`
    `java.lang.String` | `type`
    `java.util.List` | `typeParams`

    - ### Fields inherited from class com.thoughtworks.qdox.parser.structs.LocatedDef

      `lineNumber`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassDef()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CLASS

          public static final java.lang.String CLASS

      See Also:
        Constant Field Values

    - #### INTERFACE

          public static final java.lang.String INTERFACE

      See Also:
        Constant Field Values

    - #### ENUM

          public static final java.lang.String ENUM

      See Also:
        Constant Field Values

    - #### ANNOTATION_TYPE

          public static final java.lang.String ANNOTATION_TYPE

      See Also:
        Constant Field Values

    - #### name

          public java.lang.String name

    - #### modifiers

          public java.util.Set modifiers

    - #### typeParams

          public java.util.List typeParams

    - #### extendz

          public java.util.Set extendz

    - #### implementz

          public java.util.Set implementz

    - #### type

          public java.lang.String type

  - ### Constructor Detail

    - #### ClassDef

          public ClassDef()

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`